Get a Project - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v2.0
/projects
{projectId}
Try it
Get a Project
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId} \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HTTP Response Codes
- 200 – Successful response.
- 400 – Bad Request.
- 401 – Unauthorized.
- 402 – Payment Required.
- 403 – Forbidden.
- 404 – Not Found.
- 405 – Method Not Allowed.
- 409 – Conflict.
- 413 – Payload Too Large.
- 500 – Internal Server Error.
- 501 – Not Implemented.
- 502 – Bad Gateway.
- 503 – Service Unavailable.
- 504 – Gateway Timeout.
Request Body Example
{
"name": "New Project",
"color": "blue",
"handoverConfiguration": {
"setupLiveAgentInbox": true
},
"liveAgentDefaultInbox": 123,
"primaryLocaleReference": "<string>",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
Error Response Examples
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
X-API-Key
- Type: string
- Location: header
- Required: True
Supply the API Key in the HTTP-Header.
Headers
Accept
- Type: enum
- The
Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- projectId
- Type: string
- Required: true
- Description: The unique identifier for the Project.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
Response Information
- Successful Response: The Project object retrieved.
- Meta Information: The IEntityMeta defines meta information every entity within the system has, including creation and modification dates as well as user information.